require 'clockwork'
require 'active_support/core_ext/string/inflections'

require_relative 'config.rb'

module Clockwork
  handler do |task_name|
    Kernel.const_get(task_name.camelize).new
  end
end

module Monkey
  def self.init_task_suite
    dirs = [ Dir.pwd ]

    config = Config.new
    dirs.concat(config['task_suites']) unless config['task_suites'].nil?

    dirs.each do |dir|
      helpers_path = File.join(dir, 'helpers/**/*.rb')
      tasks_path = File.join(dir, 'tasks/**/*.rb')
      files = Dir[helpers_path] + Dir[tasks_path]
      files.each {|file| require_relative file }
    end
  end
end

require_relative 'version.rb'
require_relative 'task.rb'
require_relative 'triggers.rb'
require_relative '../helpers/init.rb'

Monkey.init_task_suite