require 'yaml'

module Monkey
  class Config

    current_dir = File.dirname(__FILE__)
    CONFIG_PATH = File.join(current_dir, '../../config.yml')

    def initialize
      FileUtils.touch(CONFIG_PATH)
      config_file = File.open(CONFIG_PATH, "rt")
      hash = YAML.load(config_file)
      if hash
        @hash = hash
      else
        @hash = {}
      end
      config_file.close
    end

    attr_reader :hash

    def empty?
      @hash.empty?
    end

    def [](option)
      @hash[option]
    end

    def []=(option, val)
      @hash[option] = val
    end

    def save!
      File.open(CONFIG_PATH, "w") {|f| f.write(@hash.to_yaml) }
    end

  end
end