require 'active_support/core_ext/string/inflections'

module Monkey

  module Task

    @@tasks = []

    def self.included(base)
      base.extend ClassMethods
      @@tasks.push base.name.underscore
    end

    def self.tasks
      @@tasks
    end

    # CLASS METHODS

    module ClassMethods

      def trigger(name, *options)
        trigger_class_name = name.to_s.camelize + 'Trigger'
        @trigger = Monkey.const_get(trigger_class_name).new(self, *options)
      end

      def task_name
        self.name.underscore
      end

    end

  end
  
end