module Monkey

  class Trigger
    def initialize(task_class)
      @task = task_class
    end
  end

  class EveryTrigger < Trigger
    def initialize(task_class, interval, time=nil)
      @interval = interval
      @time = time
      super(task_class)
      start
    end

    def start
      interval = @interval
      time = @time
      task_name = @task.task_name
      if time
        Clockwork.class_eval { every(interval, task_name, time) }
      else
        Clockwork.class_eval { every(interval, task_name) }
      end
    end
  end

  class StartUpTrigger < Trigger
    def initialize(task_class)
      super(task_class)
      start
    end

    def start
      task_name = @task.task_name
      Clockwork.class_eval { every(24.months, task_name) }
    end
  end
  
end